Bug 165283 - no text displayed in window
no text displayed in window
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
any
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-06 15:08 EDT by Richard Waterfield
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-18 14:39:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
thunderbird window with no text (216.89 KB, image/png)
2005-08-06 15:13 EDT, Richard Waterfield
no flags Details
firefox initial screen without text (150.69 KB, image/png)
2005-08-06 15:15 EDT, Richard Waterfield
no flags Details
firefox with no text after entering www.google.com into url field (157.33 KB, image/png)
2005-08-06 15:17 EDT, Richard Waterfield
no flags Details

  None (edit)
Description Richard Waterfield 2005-08-06 15:08:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.2 (like Gecko)

Description of problem:
Issue with thunderbird (and firefox) not putting text on window  
First noticed 3 August immediately after running up2date. 
Restart of X session or of computer or changing user did not change it.    
Reverting to standard 2.6.11-1.1369_FC4 from 2.6.11-1.1381_FC4 made no 
difference. 
Programs show no text, yet are otherwise apparently functional.  
One can enter www.google.com and get their page, but no text. 
Screenshots: Thunderbird.png, firefoxstart.png, firefoxgoogle.png  
Core binary in /usr/bin are 1.0.6 from 20 July. Worked fine until Aug 3.  
  

Version-Release number of selected component (if applicable):
thunderbird-1.0.6-1.1.fc4

How reproducible:
Always

Steps to Reproduce:
1. start thunderbird from menu or icon or terminal 
2.  
3.  
   

Actual Results:  A window opened with graphics but no text, followed by a pop-up without text 

Expected Results:  Window opening with text and graphics and a pop-up prompting for login 
password 

Additional info:

/usr/lib/thunderbird-1.0.6 contains, among others, these files dated 3 Aug:   
	5398835 drwxr-xr-x   10 root root    4096 Aug  3 08:57 chrome/   
	6118738 drwxr-xr-x    3 root root   12288 Aug  3 22:45 components/   
	5399183 -rw-r--r--    1 root root      24 Aug  3 22:45 components.ini   
	6119220 drwxr-xr-x    7 root root    4096 Aug  3 08:57 defaults/   
	5399234 -rw-r--r--    1 root root      24 Aug  3 22:45 defaults.ini   
	6119260 drwxr-xr-x    3 root root    4096 Aug  3 08:57 extensions/   
	6119265 drwxr-xr-x    2 root root    4096 Aug  3 08:57 greprefs/   
	6119270 drwxr-xr-x    2 root root    4096 Aug  3 08:57 icons/   
	6119273 drwxr-xr-x    2 root root    4096 Aug  3 08:57 init.d/   
	6119275 drwxr-xr-x    9 root root    4096 Aug  3 08:57 res/   
  
When I run thunderbird --sync (I ran it to get feedback in my terminal window)   
I get:   
	Gdk-WARNING **: gdk_property_get(): length value has wrapped in   
calculation (did you pass G_MAXLONG?)   
followed by multiple lines of this   
	(Gecko:11021): Pango-CRITICAL **: pango_cairo_show_glyph_string:   
assertion `PANGO_IS_CAIRO_FONT (font)' failed   
 
Name   : thunderbird 
Arch   : i386 
Version: 1.0.6 
Release: 1.1.fc4 
Size   : 37 M 
Repo   : installed 
Summary: Mozilla Thunderbird mail/newsgroup client 
 
Name   : firefox 
Arch   : i386 
Version: 1.0.6 
Release: 1.1.fc4 
Size   : 50 M 
Repo   : installed 
Summary: Mozilla Firefox Web browser.
Comment 1 Richard Waterfield 2005-08-06 15:13:15 EDT
Created attachment 117515 [details]
thunderbird window with no text
Comment 2 Richard Waterfield 2005-08-06 15:15:57 EDT
Created attachment 117516 [details]
firefox initial screen without text
Comment 3 Richard Waterfield 2005-08-06 15:17:07 EDT
Created attachment 117517 [details]
firefox with no text after entering www.google.com into url field
Comment 4 Richard Waterfield 2005-08-13 16:18:40 EDT
This workaround allows successful drawing of a Thunderbird page WITH text:

$ MOZ_DISABLE_PANGO=1 thunderbird

The corresponding command also works for Firefox.

Other people have had this problem, it appears. Problem and workaround are
chronicled here:

http://www.linuxquestions.org/questions/history/336610
Comment 5 Gerwin Krist 2005-10-09 06:30:42 EDT
Do you have the same problem with v1.07?
Comment 6 Richard Waterfield 2005-10-10 00:24:26 EDT
Yes, I have the exact same problem with Thunderbird 1.0.7, which is version
1.0.7-1.1.fc4 (20050929) as well as the same problem with Firefox 1.0.6 and now
1.0.7, which is version 1.0.7-1.1.fc4 (20050922). I have changed to a newer
kernel since then and am using 2.6.12-1.1400_FC5 downloaded with yum from the
Fedora repositories. Nothing self compiled or other than boringly Red Hat.
Comment 7 Christian Iseli 2007-01-22 06:05:13 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 8 Matěj Cepl 2007-07-18 13:24:02 EDT
Distribution against which this bug was reported is no longer supported; could
you please reproduce this with the updated version of the currently supported
distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue turns out
to still be reproducible, please let us know in this bug report.  If after a
month's time we have not heard back from you, we will have to close this bug as
CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 9 Richard Waterfield 2007-07-18 14:37:07 EDT
This is not found in Thunderbird 1.5 or 2.0, nor in Firefox 1.5 or 2.0 versions.
It was specific to 1.0.6 and 1.0.7 versions. You should close it. 

Note You need to log in before you can comment on or make changes to this bug.